Bug 44609 - Easing.SpringOut not working with TranslateTo
Summary: Easing.SpringOut not working with TranslateTo
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-22 06:42 UTC by Nika Gamkrelidze
Modified: 2016-11-25 10:56 UTC (History)
4 users (show)

Tags: AC
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Nika Gamkrelidze 2016-09-22 06:42:47 UTC
Neither Easing.SpringOut nor Easing.SpringIn is properly applied when using TranslateTo. Here's the code I'm using:

public class Page1 : ContentPage
{
    private BoxView _rect;

    protected override async void OnAppearing()
    {
        base.OnAppearing();
        await _rect.TranslateTo(0, 200, 2000, Easing.SpringOut);
    }

    public Page1()
    {
        var al = new AbsoluteLayout();
        _rect = new BoxView {Color = Color.Red};
        al.Children.Add(_rect, new Rectangle(100,100,50,50));

        Content = al;
    }
}
Comment 1 Stephane Delcroix 2016-10-12 07:16:48 UTC
see https://github.com/xamarin/Xamarin.Forms/pull/414
Comment 2 Nika Gamkrelidze 2016-10-12 07:46:29 UTC
already saw, thanks! waiting for the new release.
Comment 3 Samantha Houts [MSFT] 2016-10-20 19:42:50 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 4 Parmendra Kumar 2016-11-25 10:56:49 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that Easing.SpringOut is working fine.

Hence closing this issue.